Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo.xmpp.commands
Class AddComment

    java.lang.Object
      com.atlassian.bamboo.xmpp.commands.AbstractSmackCommand
          com.atlassian.bamboo.xmpp.commands.AddComment

All Implemented Interfaces:
  SmackCommand

    public class AddComment

extends AbstractSmackCommand

Field Summary

Fields inherited from class com.atlassian.bamboo.xmpp.commands.AbstractSmackCommand
`commandBody`

Fields inherited from interface com.atlassian.bamboo.xmpp.commands.SmackCommand
`ERROR, SUCCESS`

Constructor Summary
`AddComment()`

Method Summary
`String` | `run(Map context, AcegiBambooUser user)`
`void` | `setBuildResultsSummaryManager(BuildResultsSummaryManager buildResultsSummaryManager)`
`void` | `setCommentManager(CommentManager commentManager)`

Methods inherited from class com.atlassian.bamboo.xmpp.commands.AbstractSmackCommand
`getBuildKey, getBuildNumber, getCommandBody, getFullBuildResultKey, getProjectKey, getResponseMessage, init, setBuildKey, setBuildNumber, setCommandBody, setProjectKey, setResponseMessage, setSessionFactory`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AddComment

    public AddComment()

Method Detail

### run

    public String run(Map context,
                      AcegiBambooUser user)
               throws Exception

  Throws:
    `Exception`

### setBuildResultsSummaryManager

    public void setBuildResultsSummaryManager(BuildResultsSummaryManager buildResultsSummaryManager)

### setCommentManager

    public void setCommentManager(CommentManager commentManager)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.